MATLAB Answers

0

Why do I receive the error STDERR: E: Unable to locate package libboost-dev when setting up the Embedded Coder Support Package for BeagleBone Black?

During setup of the BeagleBone Black after installing the Embedded Coder Support package for BeagleBone Black, I received the following error message
Warning: An error has occurred while installing "libboost-dev" Linux package. System returned the following error message: Error executing command "sudo apt-get -y install
libboost-dev". Details:
STDERR: E: Unable to locate package libboost-dev
Will this negatively impact the installation? If so, how do I resolve it?

Tags

No tags entered yet.

Products


Release

R2019a

1 Answer

Answer by MathWorks Support Team on 19 Jun 2019
 Accepted Answer

This issue is due to the repositories for Wheezy being removed from the Debian mirror network.
To resolve this issue, you will need to manually add the repositories to the sources apt sources list:
1. ssh into the BeagleBone Black
2. Open /etc/apt/sources.list in a text editor
3. Add the lines
deb http://archive.debian.org/debian/ wheezy main contrib non-free
#deb-src http://archive.debian.org/debian/ wheezy main contrib non-free
4. Execute the following
$ sudo apt-get update
$ sudo apt-get -y install libboost-dev libboost-chrono-dev libboost-test-dev libboost-thread-dev

  0 Comments

Sign in to comment.